Subject: Re: 29.0.50; pgtk: characters typed into minibuffers inserted multiple times

From: Sean Whitton <[email-masked]>
Date: Fri, 14 Jan 2022 14:30:54 -0700

Hello,

On Fri 14 Jan 2022 at 08:39AM +08, Po Lu wrote:

> Sean Whitton <[email-masked]> writes:
>
>> Hello Po,
>>
>> On Tue 11 Jan 2022 at 06:21PM +08, Po Lu wrote:
>>
>>> Sean Whitton <[email-masked]> writes:
>>>
>>>> It occurred to me to try --with-x-toolkit=lucid instead of --with-pgtk.
>>>> Sure enough, I cannot reproduce the bug.  So I think the problem is
>>>> something about how pgtk receives and processes keyboard input.
>>>
>>>> In summary: I can reproduce with pgtk running as a native Wayland
>>>> application, and I cannot reproduce with the Lucid build running under
>>>> Xwayland.  In both cases, swaywm.  I have retitled the bug.
>>>
>>> You forgot to test the following combinations:
>>>
>>>   --with-x-toolkit=gtk3, x-gtk-use-native-input set to nil
>>>   --with-x-toolkit=gtk3, x-gtk-use-native-input set to t
>>
>> Cannot reproduce.  I did try both, but I can't find any mention of
>> x-gtk-use-native-input in the Emacs source code -- is it possible you
>> meant a similarly-named variable?
>
> It's a relatively new feature, you should update from master and test
> again.

Ah, sorry.  Now done.  Cannot reproduce in either case.

In the latter case I had to kill fcitx5 before I could type into Emacs.
So I thought I'd also test pgtk with and without GDK_BACKEND=x11 without
fcitx5 running.  I could reproduce in both cases.

-- 
Sean Whitton